from refinitiv.data.content.news._data_classes import StoryUDF

from refinitiv.data.content.news import story


MOCKED_STORY_RESPONSE = {
    "story": {
        "headlineHtml": '<h1 class="storyHeadline">\n<span class="headline">WRAPUP 2-U.S. annual consumer inflation posts largest increase since 1981</span> -\n<span class="source" title="RTRS">Reuters News</span>\n</h1>',
        "storyHtml": '<div class="storyContent" lang="en"><style type="text/css">.storyContent * {border-color:inherit !important;outline-color:inherit !important;}</style><p class="tr-advisory">Adds details, Biden, analyst comments, updates markets</p><ul class="bulleted-list arrowlist"><li class="tr-summaryitem">Consumer price index jumps 1.3% in June</li><li class="tr-summaryitem">Year-on-year CPI soars 9.1%, largest gain since 1981</li><li class="tr-summaryitem">Core CPI increases 0.7%; up 5.9% on year-on-year basis</li></ul><p class="tr-by">By Lucia Mutikani</p><p class="tr-story-p1"><span class="tr-dateline">WASHINGTON, July 13 (Reuters)</span><span class="tr-dl-sep"> - </span>U.S. annual consumer prices jumped 9.1% in June, the largest increase in more than four decades, <span class="tr-strong">leaving Americans to dig deeper to pay </span>for gasoline, food, <span class="tr-strong">healthcare </span>and rents, <span class="tr-strong">and the Federal Reserve most certain to</span> hike interest rates by another 75 basis points at the end of the month.</p><p>The bigger-than-expected rise in the year-on-year consumer price index reported by the Labor Department on Wednesday also reflected higher prices for <span class="tr-strong">a range of other goods and services, </span>including motor vehicles, apparel and household furniture. The CPI increased by the most in nearly 17 years on a monthly basis. </p><p>The inflation data followed stronger-than-expected job growth in June and suggested that the U.S. central bank\'s aggressive monetary policy stance had made little progress thus far in cooling demand and bringing inflation down to its 2% target<span class="tr-strong">. With rents surging by the most in 36 years, inflation could become entrenched.</span></p><p>Though a global problem, stubbornly high inflation is a political risk for U.S. President Joe Biden and his Democratic Party heading into congressional elections in November. </p><p>"Despite the Fed\'s best intentions, the economy looks to be moving into a higher inflation regime," said Christopher Rupkey, chief economist at FWDBONDS in New York. "The Fed is even further behind the curve after today\'s sizzling report." </p><p>The consumer price index increased 1.3% last month, the biggest monthly gain since September 2005, after advancing 1.0% in May. A 7.5% surge in energy prices accounted for nearly half of the increase in the CPI. Gasoline prices jumped 11.2% after rebounding by 4.1% in May. <span class="tr-strong">Prices at the pump have since declined considerably from June\'s record highs.</span></p><p>Natural gas prices rose 8.2%, the most since October 2005.  The cost of food consumed at home rose 1.0%, posting the sixth straight monthly increase of at least 1.0%.</p><p>In the 12 months through June, the CPI jumped 9.1%. That was the biggest gain since November 1981 and followed an 8.6% rise in May. Economists polled by Reuters had forecast the CPI would rise 1.1% and accelerating 8.8% year-on-year. </p><p>Consumer prices are surging, driven by snarled global supply chains and massive fiscal stimulus from governments early in the COVID-19 pandemic.</p><p><span class="tr-resource-ref tr-graphic-static" id="g16d70001-9a83-45a3-83cb-ba965e14253a"><div class="tr-image"><div class="tr-image-components"><img src="https://graphics.reuters.com/USA-ECONOMY/JOBS/gdvzylweepw/chart.png" data-internal-src="https://rp.cp.dtc.reuint.com/Apps/NewsServices/images?apiKey=95a7d790-a5d1-4907-9c62-c9d7a1d29f80&amp;type=base64Url&amp;id=aHR0cHM6Ly9ncmFwaGljcy5yZXV0ZXJzLmNvbS9VU0EtRUNPTk9NWS9KT0JTL2dkdnp5bHdlZXB3L2NoYXJ0LnBuZw==&amp;storyId=urn:newsml:reuters.com:20220713:nL1N2YU10J:4&amp;key=364c67544f05c8704aaca2bb11bce522991d716891ae96f58be6d4e92279941f7f0c13260aafec93ffb209fae99317c82e41af0b4bd359aafb51c3677c46f379"/></div></div></span></p><p>The ongoing war in Ukraine, which has caused a spike in global food and fuel prices, has worsened the situation.</p><p><span class="tr-strong">President Biden sought to draw some comfort from the retreat in gasoline prices </span>from June, when they averaged above $5 per gallon, according to data from motorist advocacy group AAA. They were averaging $4.631 per gallon on Wednesday, which could ease some of the pressure on consumers.</p><p><span class="tr-strong">"Those savings are providing important breathing room for American families," Biden said in a statement. "And, other commodities like wheat have fallen sharply since this report."</span></p><p>    Annual food prices are rising at their fastest pace since February 1981, with energy prices posting their largest jump in more than 42 years.</p><p>    Financial markets overwhelmingly expect the Fed to raise its policy rate by 75 basis points at its July 26-27 meeting. <span class="tr-strong">A full-percentage-point increase has not been ruled out and attention now shifts to the University of Michigan\'s consumer inflation expectations survey on Friday.</span> </p><p>The Bank of Canada surprised by hiking its policy rate by 100 basis points on Wednesday, a super-sized increase last seen in 1998. (<a href="reuters://REALTIME/verb=NewsStory/ric=nBCLDIEI21" data-type="storyId" data-story-id="nBCLDIEI21" translate="no" dir="ltr" class="tr-pnac">Full Story</a>) </p><p>The Fed has raised its overnight interest rate by 150 basis points since March. </p><p><span class="tr-strong">U.S. stocks were mixed. The dollar fell against a basket of currencies. U.S. Treasury prices rose.</span></p><p><br/></p><p>UNDERLYING INFLATION </p><p>The economy created 372,000 jobs in June, with a broader measure of unemployment hitting a record low. (<a href="reuters://REALTIME/verb=NewsStory/ric=nL1N2YO2M6" data-type="storyId" data-story-id="nL1N2YO2M6" translate="no" dir="ltr" class="tr-pnac">Full Story</a>)</p><p><span class="tr-resource-ref tr-graphic-static" id="a217805a-da64-4b76-9b67-0d3052257706"><div class="tr-image"><div class="tr-image-components"><img src="https://graphics.reuters.com/USA-ECONOMY/INFLATION/egvbkxmwkpq/chart.png" data-internal-src="https://rp.cp.dtc.reuint.com/Apps/NewsServices/images?apiKey=95a7d790-a5d1-4907-9c62-c9d7a1d29f80&amp;type=base64Url&amp;id=aHR0cHM6Ly9ncmFwaGljcy5yZXV0ZXJzLmNvbS9VU0EtRUNPTk9NWS9JTkZMQVRJT04vZWd2Ymt4bXdrcHEvY2hhcnQucG5n&amp;storyId=urn:newsml:reuters.com:20220713:nL1N2YU10J:4&amp;key=fc9eae9f254fa5ff2c060b8ebf6cfbaebca0a347f67f038837581c4dc0edff30ab7ff6e23c6823d4e848669a203407c2b037b7a2b53a477c529d9d28ceb8219e"/></div></div></span></p><p>There had been hope that a shift in spending from goods to services would help cool inflation. But the very tight labor market is boosting wages, adding to higher prices for services.</p><p>Underlying inflation pressures sizzled last month.    Excluding the volatile food and energy components, the CPI gained 0.7% in June after climbing 0.6% in May. The so-called core CPI was lifted by the cost of rent, which shot up 0.8%, the largest monthly increase since April 1986. </p><p><span class="tr-strong">Rents are one of the largest and stickiest inflation categories, which raises the risk of the Fed maintaining its aggressive rate hikes into the second-half of the year.</span></p><p><span class="tr-strong">"There remain miles to go before getting back toward anything resembling price stability," said Sarah House, a senior economist at Wells Fargo in Charlotte, North Carolina.</span></p><p>New vehicle prices maintained their upward trend as did those for used cars and trucks. The cost of motor vehicle maintenance and repairs surged 2.0%, the most since September 1974. Healthcare costs rose 0.7%, with a record increase in the cost of dental services. </p><p>Apparel prices increased 0.8%, despite retailers like Walmart <a href="reuters://REALTIME/Verb=FullQuote/ric=WMT.N" data-type="ric" data-ric="WMT.N" translate="no" dir="ltr">WMT.N</a> and Target <a href="reuters://REALTIME/Verb=FullQuote/ric=TGT.N" data-type="ric" data-ric="TGT.N" translate="no" dir="ltr">TGT.N</a> reporting excess inventory that would require discounts. <span class="tr-strong">But prices for hotels, car rentals and airfares declined. Still, core goods prices rose a strong 0.8%, while services gained 0.7%.</span></p><p>The core CPI increased 5.9% in the 12 months through June. That followed a 6.0% rise in the 12 months through May <span class="tr-strong">and marked a third straight month of deceleration.</span></p><p><span class="tr-strong">High inflation is eroding wage gains, which together with rising borrowing costs could crimp consumer spending, leaving economists to expect a mild recession at the turn of the year. Inflation-adjusted average weekly earning fell 1.0% in June.</span></p><p><br/></p><div style="display:none;" class="tr-sandwichbox"></div><p class="tr-signoff"> (Reporting by Lucia Mutikani; Editing by Chizu Nomiyama and Paul Simao)</p><p class="tr-contactinfo">(( <a href="mailto:Lucia.Mutikani@thomsonreuters.com" data-type="email" translate="no">Lucia.Mutikani@thomsonreuters.com</a> ))</p><p class="line-break"><br/></p><p class="tr-copyright">(c) Copyright Thomson Reuters 2022. Click For Restrictions - https://agency.reuters.com/en/copyright.html</p><p class="line-break"><br/></p><p class="tr-slugline">Keywords: USA-ECONOMY/ (WRAPUP 2, PIX, GRAPHICS)</p></div>',
        "storyInfoHtml": '<h5 style="direction:ltr"><span data-version-created-date="2022-07-13T17:23:02.000Z" class="releasedDate">13-Jul-2022 17:23:02</span></h5>',
    }
}


def test_import():
    try:
        from refinitiv.data.content.news import story
    except ImportError as e:
        assert False


def test_workspace():
    from refinitiv.data.content.news import story

    assert hasattr(story, "Definition")


def test_news_story_html():
    story_udf_response = StoryUDF.from_dict(MOCKED_STORY_RESPONSE)
    assert (
        story_udf_response.content.html == MOCKED_STORY_RESPONSE["story"]["storyHtml"]
    )
